﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.IO;
using System.Xml.Xsl;

namespace TransformXML
{
    class Program
    {
        static void Main(string[] args)
        {
            TestXls();

            Console.ReadLine();
        }

static void TestXls()
{
    //数据文件
    XmlReader _xmlxml = XmlReader.Create("xmldata.xml");
    //模板文件
    XmlReader _xmlxsl = XmlReader.Create("xsldata.xml");

    //实例化转换对象
    XslCompiledTransform xslct = new XslCompiledTransform();
    xslct.Load(_xmlxsl);

    MemoryStream ms = new MemoryStream();
    XmlTextWriter xmltxtWr = new XmlTextWriter(ms, null);

    //开始转换，并且将结果保存到writer中。
    xslct.Transform(_xmlxml, xmltxtWr);

    //读取结果
    StreamReader st = new StreamReader(ms);
    ms.Seek(0, SeekOrigin.Begin);
    string TransformedHTML = st.ReadToEnd();

    Console.WriteLine(TransformedHTML);
}
    }
}
